<?php
/* $Id: index.php,v 1.10 2003/02/17 13:55:08 ikkei Exp $ */

require_once './lib.php';
global $CONFIG;

// Setting base dir
if (isset($_GET['dir'])) {
	$base_dir = $CONFIG['code_dir'] . "/" . $_GET['dir'];
} else {
	$base_dir = $CONFIG['code_dir'];
}

if (! is_dir($base_dir)) {
	error($base_dir . "is not dir");
}


require_once './header.tpl';

echo "<table sammury=\"File List\">\n";
echo "<caption>" . $base_dir . "</caption>\n";
echo "<thead>\n";
echo "<tr><th>Name</th><th>size</th><th>last modified</th></tr>";
echo "</thead>\n";
echo "<tbody>\n";

$dir = @opendir($base_dir);
while ($file_name = readdir($dir)) {
  if (eregi("^[.]+$", $file_name)) {
	continue;
  }

  $file_path = $base_dir . '/' . $file_name;

  if (! file_exists($file_path)) {
	continue;
  }

  if (is_dir($file_path)) {
	echo "<tr><td calspan=\"4\">";
	echo "<a href=\""
	  . $CONFIG['Script']['index']
	  . "?dir="
	  . (isset($_GET['dir']) ? urlencode($_GET['dir'].'/') : '')
	  . urlencode($file_name)
	  . "\">";
	echo "<img src=\"/icons/dir.gif\" /> ";
	echo htmlspecialchars($file_name);
	echo "</a>";
	echo "</td></tr>\n";
  }
  elseif (is_file($file_path)) {
	echo "<tr>";
	echo "<td>";
	echo "<a href=\""
	  . $CONFIG['Script']['view']
	  . "?name="
	  . urlencode($file_name)
	  . (isset($_GET['dir']) ? '&amp;dir='.urlencode($_GET['dir']) : '')
	  . "&amp;\">";
	echo "<img src=\"/icons/generic.gif\" /> " . htmlspecialchars($file_name);
	echo "</a>";
	echo "</td>";
	echo "<td>" . filesize($file_path) . "</td>";
	echo "<td>" . date($CONFIG['date_format'], filemtime($file_path)) . "</td>";
	echo "</tr>\n";
  }
}
closedir($dir);

echo "</tbody>\n";
echo "</table>\n";



require_once './search_form.tpl';
require_once './footer.tpl';
?>
