<?php
/* $Id: note.php,v 1.4 2003/02/17 13:55:47 ikkei Exp $ */

require_once './lib.php';
global $CONFIG;


if (isset($_POST['name'])) {
  $file_name = $_POST['name'];
} else {
  die("NO PARAM");
}

if (isset($_POST['dir'])) {
  $file_path = $CONFIG['code_dir'] . '/' . $_POST['dir'] . '/' . $file;
} else {
  $file_path = $CONFIG['code_dir'] . '/' . $file_path;
}

if (isset($_POST['email'])) {
  $email = $_POST['email'];
  if (! eregi("^[a-z0-9_.-]+\@[a-z0-9_.-]+$", $email)) {
	error("invalid email address");
  }

  $email = urlencode($email);
} else {
  error("there is no email");
}

if (isset($_POST['comment'])) {
  if (strlen($_POST['comment']) < 10) {
	error("comment is too short to post");
  }
  $comment = nl2br(htmlspecialchars($_POST['comment']));
  $comment = ereg_replace("[\r\n]", "", $comment);
  $comment = urlencode($comment);
} else {
  error("there is no comment");
}

$date = urlencode(date($CONFIG['date_format']));


$log_path = get_log_path($_POST['dir'], $_POST['name']);



$f = @fopen($log_path, "a");

fwrite($f, join($CONFIG['Log']['csv'], array($date, $email, $comment))."\n");
fclose($f);

header("Location: " . $CONFIG['Script']['index']);

?>