<?php
/* $Id: search.php,v 1.1 2003/02/17 13:19:51 ikkei Exp ikkei $ */

require_once './lib.php';
global $CONFIG;

if (isset($_POST['keyword'])) {
  $keyword = $_POST['keyword'];
} else {
  error("no keyword for search");
}

function search_on_dir($str, $dir)
{
  global $CONFIG;

  if (! is_dir($dir)) {
	return;
  }
  
  $d = @opendir($dir);
  while ($file_name = readdir($d)) {
	if (ereg("^\.+$", $file_name)) {
	  continue;
	}

	$file_path = $dir . '/' . $file_name;

	if (is_dir($file_path)) {
	  search_on_dir($str, $file_path);
	}
	elseif (is_file($file_path)) {
	  $f = @fopen($file_path, "r");
	  $cnt = 0;
	  while ($line = fgets($f, 2048)) {
		$cnt++;
		if (eregi($str, $line)) {
		  $url_dir = urlencode(str_replace($CONFIG['code_dir'], "", $dir));
		  $url_name = urlencode($file_name);

		  echo "<a href=\""
			. $CONFIG['Script']['view']
			. "?dir=$url_dir&amp;name=$url_name\">"
			. "$file_path ($cnt)</a> :"
			. "<code>"
			. htmlspecialchars($line)
			. "</code>"
			. "<br/>";
		}
	  }
	  fclose($f);
	}
  }
  closedir($d);
}


require_once './header.tpl';

echo "<h2>search - " . htmlspecialchars($keyword) . "</h2>\n";
echo "<div class=\"search\">";
search_on_dir($keyword, $CONFIG['code_dir']);
echo "</div>\n";

require_once './search_form.tpl';
require_once './footer.tpl';

?>