<?php
/* $Id: view.php,v 1.13 2003/02/17 13:19:46 ikkei Exp $ */

require_once 'lib.php';


if (isset($_GET['name'])) {
  $file_name = $_GET['name'];
} else {
  error("no param");
}

if (isset($_GET['dir'])) {
  $file_path = $CONFIG['code_dir'] . '/' . $_GET['dir'] . '/' . $file_name;
} else {
  $file_path = $CONFIG['code_dir'] . '/' . $file_name;
}


require_once './header.tpl';

//
// SOURCE
//
echo "<h2>Source</h2>\n";
if (is_php($file_name)) {
  ob_start();
  show_source($file_path);
  $html = ob_get_contents();
  ob_end_clean();


  $html = ereg_replace("<font", "<span", $html);
  $html = ereg_replace("</font", "</span", $html);
  $html = ereg_replace("color=\"", "style=\"color:", $html);
} else {
  $html = nl2br(htmlspecialchars(join('', file($file_path))));
}

$html = preg_replace("/$CONFIG[secret_words_regex]/i", '********', $html);

echo "<div class=\"source\">\n";
echo $html;
echo "</div>\n";
echo "<hr />";

//
// NOTES
//
echo "<h2>User's Note</h2>\n";
$log_path = $CONFIG['Log']['dir']
     . '/'
     . ((isset($_GET['dir']) and $dir != "")
		? ereg_replace('\/', '_', $_GET['dir']).'_'
		: '')
     . $file_name
	 . '.' . $CONFIG['Log']['extension'];

if (file_exists($log_path)){
  $f = @fopen($log_path, "r");
  while (list($date, $email, $comment) = fgetcsv($f, 1024*4, $CONFIG['Log']['csv'])){
	echo "<div class=\"note\">\n";
	echo "<p class=\"header\">"
	  . urldecode($date)
	  . " - "
	  . urldecode($email)
	  . "</p>\n";
	echo "<p class=\"comment\">" 
	  . urldecode($comment)
	  . "</p>\n";
	echo "</div>\n";
  }
  fclose($f);
} else {
  echo "<p>There is no users note</p>\n";
}
echo "<br/>\n";

//
// FORM
//
echo "<h2>Add your note</h2>\n";
echo "<div class=\"note_form\">\n";
echo "<form action=\"" . $CONFIG['Script']['note'] . "\" method=\"post\">\n";
echo "<p>\n";
echo "E-mail Address";
echo "<input type=\"hidden\" name=\"dir\" value=\""
. ((isset($_GET['dir'])) ? urlencode($_GET['dir']) : '')
. "\" />\n";
echo "<input type=\"hidden\" name=\"name\" value=\""
. urlencode($_GET['name'])
. "\" />\n";
echo "<input type=\"text\" name=\"email\" value=\"\" class=\"email\" />\n";
echo "<br />\n";
echo "<textarea name=\"comment\" class=\"comment\"></textarea>\n";
echo "<br />\n";
# echo "<input type=\"submit\" value=\"Preview Note\" class=\"submit\" />\n";
echo "<input type=\"submit\" value=\"Add Note\" class=\"submit\" />\n";
echo "</p>\n";
echo "</form>\n";
echo "</div>\n";

require_once './footer.tpl';
?>